Jifty::Plugin::Authentication::Password::Action::Signup(3)

NAME
Jifty::Plugin::Authentication::Password::Action::Signup - signup for an account

  arguments
The fields for "Signup" are:

email: the email address
password and password_confirm: the requested password
name: your full name

  validate_email
Make sure their email address looks sane

  take_action
Overrides the virtual "take_action" method on Jifty::Action to call the appropriate "Jifty::Record"'s "create" method when the action is run, thus creating a new object in the database.

Makes sure that the user only specifies things we want them to.